curl --request PATCH \
--url https://www.ruddr.io/api/workspace/exchange-rate-periods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rate": 123,
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
}
'import requests
url = "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}"
payload = {
"rate": 123,
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rate: 123,
fromCurrency: '<string>',
toCurrency: '<string>',
start: '2023-12-25',
end: '2023-12-25'
})
};
fetch('https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rate' => 123,
'fromCurrency' => '<string>',
'toCurrency' => '<string>',
'start' => '2023-12-25',
'end' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}"
payload := strings.NewReader("{\n \"rate\": 123,\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rate\": 123,\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rate\": 123,\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"id": "a9f3c278-5e14-4b8d-92a6-d1e0f4b73c58",
"fromCurrency": "GBP",
"toCurrency": "EUR",
"start": "2026-07-01",
"end": "2026-12-31",
"rate": 1.172,
"createdAt": "2026-05-20T14:37:51.083Z"
}Update an exchange rate period
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/exchange-rate-periods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rate": 123,
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
}
'import requests
url = "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}"
payload = {
"rate": 123,
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rate: 123,
fromCurrency: '<string>',
toCurrency: '<string>',
start: '2023-12-25',
end: '2023-12-25'
})
};
fetch('https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rate' => 123,
'fromCurrency' => '<string>',
'toCurrency' => '<string>',
'start' => '2023-12-25',
'end' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}"
payload := strings.NewReader("{\n \"rate\": 123,\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rate\": 123,\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/exchange-rate-periods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rate\": 123,\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"id": "a9f3c278-5e14-4b8d-92a6-d1e0f4b73c58",
"fromCurrency": "GBP",
"toCurrency": "EUR",
"start": "2026-07-01",
"end": "2026-12-31",
"rate": 1.172,
"createdAt": "2026-05-20T14:37:51.083Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The exchange rate period uuid.
Body
The exchange rate applied when converting from fromCurrency to toCurrency.
The 3-letter ISO 4217 currency code for the source currency.
The 3-letter ISO 4217 currency code for the target currency. Must differ from fromCurrency.
The start date for the period (YYYY-MM-DD).
The end date for the period (YYYY-MM-DD). Must come on or after start.
Response
200
The unique identifier for the object.
The 3-letter ISO 4217 currency code for the source currency.
The 3-letter ISO 4217 currency code for the target currency.
The start date for the period. Will be in the form YYYY-MM-DD.
The end date for the period. Will be in the form YYYY-MM-DD.
The exchange rate applied when converting from fromCurrency to toCurrency.
The timestamp when the object was created.